Subject: Re: Uart on cpm2_io (was: Using modem signal in cpm2 uart for MPC8270)

From: Wojciech Kromer <[email-masked]>
Date: Tue, 21 Feb 2006 10:20:06 +0100

Dnia 2006-02-21 09:58, Użytkownik Mathieu Deschamps napisał:
> Hello,
>
> Sorry to come with this UART issue again but I had no answer and no
> better idea but asking people who knows 82xx uart well, people who 
> designed it. 
>
> My issue about this uart could be approched elseway : why is there a 
> modem_control conditionnal compilation option when PQ2 SCCs 
> (in normal operation mode which is default) take care of CTS,CD signals
> (Chap 20-8 GSMR_L register DIAG MPC8280 PQ2 Ref. Manual ) ?
>
> I fell like that is clearly a design-time choice matter that I need to 
> clarify.
>
> And simply : 
> Is this version is known to be broken when activating this option ? 
>   
Do not know what this option is, probably for disabling code from 
another driver.
With latest CVS version from denx.de you have only to enable CTS/RTS.. 
signals in menuconfig.
(And read my prior post if you're using SCC4 with SCC_CONSOLE)